UNPKG

valorant-api-types

Version:

A collection of documented endpoints and return types for the unofficial Valorant API

27 lines 878 B
"use strict"; Object.defineProperty(exports, "__esModule", { value: true }); exports.partySetMemberReadyEndpoint = void 0; const zod_1 = require("zod"); const commonTypes_1 = require("../../commonTypes"); exports.partySetMemberReadyEndpoint = { name: 'Party Set Member Ready', description: 'Set the ready status of a player in the current party', queryName: 'Party_SetMemberReady', category: 'Party Endpoints', type: 'glz', suffix: 'parties/v1/parties/{party id}/members/{puuid}/setReady', method: 'POST', riotRequirements: { token: true, entitlement: true, clientPlatform: true, clientVersion: true }, body: zod_1.z.object({ ready: zod_1.z.boolean().describe("Ready Status") }), responses: { '200': commonTypes_1.partySchema } }; //# sourceMappingURL=PartySetMemberReady.js.map